Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions
Argus::Ext::ISyncSensorCalibrationData Class Reference
CameraDevice | Ext::SyncSensorCalibrationData

Interface used to access sync sensor calibration data. More...

`#include <SyncSensorCalibrationData.h>`

Inheritance diagram for Argus::Ext::ISyncSensorCalibrationData:

List of all members.

## Public Member Functions
virtual Status | getSyncSensorModuleId (void *syncSensorId, size_t size) const =0
| Returns the sync sensor module id in the provided memory location.
virtual Size2D< uint32_t > | getImageSizeInPixels () const =0
| Returns the size of the image in pixels.
virtual Point2D< float > | getFocalLength () const =0
| Returns the focal length fx and fy from intrinsic parameters.
virtual float | getSkew () const =0
| Returns the skew from intrinsic parameters.
virtual Point2D< float > | getPrincipalPoint () const =0
| Returns the principal point (optical center) x and y from intrinsic parameters.
virtual DistortionType | getLensDistortionType () const =0
| Returns the lens distortion type as per the model being used.
virtual MappingType | getFisheyeMappingType () const =0
| Returns the mapping type in case of fisheye distortion.
virtual uint32_t | getRadialCoeffsCount (const DistortionType &distortionType) const =0
| Returns the radial coefficients count in case of polynomial or fisheye distortion.
virtual Status | getRadialCoeffs (std::vector< float > *k, const DistortionType &distortionType) const =0
| Returns the radial coefficients vector as per distortion type and size of the vector is given by getRadialCoeffsCount().
virtual uint32_t | getTangentialCoeffsCount () const =0
| Returns the tangential coefficients count in case of polynomial distortion.
virtual Status | getTangentialCoeffs (std::vector< float > *p) const =0
| Returns the tangential coefficients in case of polynomial distortion and size of the vector is given by getTangentialCoeffsCount().
virtual Point3D< float > | getRotationParams () const =0
| Returns the rotation parameter expressed in Rodrigues notation from extrinsic parameters.
virtual Point3D< float > | getTranslationParams () const =0
| Returns the translation parameters in x, y and z co-ordinates with respect to a reference point from extrinsic params.
virtual Status | getModuleSerialNumber (void *serialNumber, size_t size) const =0
| Returns the serial number of the sensor module in the provided memory location.
virtual bool | isImuSensorAvailable () const =0
| Returns whether IMU sensor is present or not.
virtual Point3D< float > | getLinearAccBias () const =0
| Returns the linear acceleration bias for all three axes x, y and z of the IMU device.
virtual Point3D< float > | getAngularVelocityBias () const =0
| Returns the angular velocity bias for all three axes x, y and z of the IMU device.
virtual Point3D< float > | getGravityAcc () const =0
| Returns the gravity acceleration for all three axes x, y and z of the IMU device.
virtual Point3D< float > | getImuRotationParams () const =0
| Returns the IMU rotation parameter expressed in Rodrigues notation from extrinsic parameters.
virtual Point3D< float > | getImuTranslationParams () const =0
| Returns the IMU translation parameters in x, y and z co-ordinates with respect to a reference point from extrinsic params.
virtual float | getUpdateRate () const =0
| Returns the update rate.
virtual float | getLinearAccNoiseDensity () const =0
| Returns the linear acceleration noise density.
virtual float | getLinearAccRandomWalk () const =0
| Returns the linear acceleration random walk.
virtual float | getAngularVelNoiseDensity () const =0
| Returns the angular velocity noise density.
virtual float | getAngularVelRandomWalk () const =0
| Returns the angular velocity random walk.

## Static Public Member Functions
static const InterfaceID & | id ()

## Protected Member Functions
| ~ISyncSensorCalibrationData ()
Protected Member Functions inherited from Argus::Interface
| Interface ()
| ~Interface ()

## Detailed Description

Interface used to access sync sensor calibration data.

Definition at line 77 of file SyncSensorCalibrationData.h.

## Constructor & Destructor Documentation

Argus::Ext::ISyncSensorCalibrationData::~ISyncSensorCalibrationData | ( |  | ) |
| inline protected

Definition at line 229 of file SyncSensorCalibrationData.h.

## Member Function Documentation

virtual float Argus::Ext::ISyncSensorCalibrationData::getAngularVelNoiseDensity | ( |  | ) | const
| pure virtual

Returns the angular velocity noise density.

virtual Point3D<float> Argus::Ext::ISyncSensorCalibrationData::getAngularVelocityBias | ( |  | ) | const
| pure virtual

Returns the angular velocity bias for all three axes x, y and z of the IMU device.

virtual float Argus::Ext::ISyncSensorCalibrationData::getAngularVelRandomWalk | ( |  | ) | const
| pure virtual

Returns the angular velocity random walk.

virtual MappingType Argus::Ext::ISyncSensorCalibrationData::getFisheyeMappingType | ( |  | ) | const
| pure virtual

Returns the mapping type in case of fisheye distortion.

virtual Point2D<float> Argus::Ext::ISyncSensorCalibrationData::getFocalLength | ( |  | ) | const
| pure virtual

Returns the focal length fx and fy from intrinsic parameters.

virtual Point3D<float> Argus::Ext::ISyncSensorCalibrationData::getGravityAcc | ( |  | ) | const
| pure virtual

Returns the gravity acceleration for all three axes x, y and z of the IMU device.

virtual Size2D<uint32_t> Argus::Ext::ISyncSensorCalibrationData::getImageSizeInPixels | ( |  | ) | const
| pure virtual

Returns the size of the image in pixels.

virtual Point3D<float> Argus::Ext::ISyncSensorCalibrationData::getImuRotationParams | ( |  | ) | const
| pure virtual

Returns the IMU rotation parameter expressed in Rodrigues notation from extrinsic parameters.

angle = sqrt(rx^2+ry^2+rz^2). unit axis = [rx,ry,rz]/angle.

virtual Point3D<float> Argus::Ext::ISyncSensorCalibrationData::getImuTranslationParams | ( |  | ) | const
| pure virtual

Returns the IMU translation parameters in x, y and z co-ordinates with respect to a reference point from extrinsic params.

virtual DistortionType Argus::Ext::ISyncSensorCalibrationData::getLensDistortionType | ( |  | ) | const
| pure virtual

Returns the lens distortion type as per the model being used.

virtual Point3D<float> Argus::Ext::ISyncSensorCalibrationData::getLinearAccBias | ( |  | ) | const
| pure virtual

Returns the linear acceleration bias for all three axes x, y and z of the IMU device.

virtual float Argus::Ext::ISyncSensorCalibrationData::getLinearAccNoiseDensity | ( |  | ) | const
| pure virtual

Returns the linear acceleration noise density.

virtual float Argus::Ext::ISyncSensorCalibrationData::getLinearAccRandomWalk | ( |  | ) | const
| pure virtual

Returns the linear acceleration random walk.

virtual Status Argus::Ext::ISyncSensorCalibrationData::getModuleSerialNumber | ( | void * | serialNumber,
|  | size_t | size
| ) |  | const
| pure virtual

Returns the serial number of the sensor module in the provided memory location.

virtual Point2D<float> Argus::Ext::ISyncSensorCalibrationData::getPrincipalPoint | ( |  | ) | const
| pure virtual

Returns the principal point (optical center) x and y from intrinsic parameters.

virtual Status Argus::Ext::ISyncSensorCalibrationData::getRadialCoeffs | ( | std::vector< float > * | k,
|  | const DistortionType & | distortionType
| ) |  | const
| pure virtual

Returns the radial coefficients vector as per distortion type and size of the vector is given by getRadialCoeffsCount().

Parameters:

  [out] | k | The radial coefficient vector from distortion properties.
  [in] | distortionType | The lens distortion type.

virtual uint32_t Argus::Ext::ISyncSensorCalibrationData::getRadialCoeffsCount | ( | const DistortionType & | distortionType | ) | const
| pure virtual

Returns the radial coefficients count in case of polynomial or fisheye distortion.

Parameters:

  [in] | distortionType | The lens distortion type.

virtual Point3D<float> Argus::Ext::ISyncSensorCalibrationData::getRotationParams | ( |  | ) | const
| pure virtual

Returns the rotation parameter expressed in Rodrigues notation from extrinsic parameters.

angle = sqrt(rx^2+ry^2+rz^2). unit axis = [rx,ry,rz]/angle.

virtual float Argus::Ext::ISyncSensorCalibrationData::getSkew | ( |  | ) | const
| pure virtual

Returns the skew from intrinsic parameters.

virtual Status Argus::Ext::ISyncSensorCalibrationData::getSyncSensorModuleId | ( | void * | syncSensorId,
|  | size_t | size
| ) |  | const
| pure virtual

Returns the sync sensor module id in the provided memory location.

The maximum supported length of sync sensor id string is 32.

Parameters:

  [in,out] | syncSensorId | Pointer for getting the sync sensor id string associated with sensor.
  [in] | size | The size of the syncSensorId.

virtual Status Argus::Ext::ISyncSensorCalibrationData::getTangentialCoeffs | ( | std::vector< float > * | p | ) | const
| pure virtual

Returns the tangential coefficients in case of polynomial distortion and size of the vector is given by getTangentialCoeffsCount().

Parameters:

  [out] | p | The tangential coefficient vector from distortion properties.

virtual uint32_t Argus::Ext::ISyncSensorCalibrationData::getTangentialCoeffsCount | ( |  | ) | const
| pure virtual

Returns the tangential coefficients count in case of polynomial distortion.

virtual Point3D<float> Argus::Ext::ISyncSensorCalibrationData::getTranslationParams | ( |  | ) | const
| pure virtual

Returns the translation parameters in x, y and z co-ordinates with respect to a reference point from extrinsic params.

virtual float Argus::Ext::ISyncSensorCalibrationData::getUpdateRate | ( |  | ) | const
| pure virtual

Returns the update rate.

static const InterfaceID& Argus::Ext::ISyncSensorCalibrationData::id | ( |  | ) |
| inline static

Definition at line 80 of file SyncSensorCalibrationData.h.

virtual bool Argus::Ext::ISyncSensorCalibrationData::isImuSensorAvailable | ( |  | ) | const
| pure virtual

Returns whether IMU sensor is present or not.

The documentation for this class was generated from the following file:

- include/Argus/Ext/SyncSensorCalibrationData.h